安装ECLIPSE

为当前最终发行版之前的所有版本提供支持
回复
修罗撒旦
帖子: 27
注册时间: 2006-11-05 21:05
送出感谢: 0
接收感谢: 0
联系:

安装ECLIPSE

#1

帖子 修罗撒旦 » 2007-10-04 15:56

昨天机器终于经不住自己的折腾,XP系统崩溃啦...没有办法,因为自己的外设光驱被同学拿去看碟片了..我这个菜鸟只能硬着头皮在UBUNTU系统下配置JAVA开发环境了...笨嘛,所以选择了最简单的安装ECLIPSE的方法..不要笑话啊..

首先,

我下载了比较靠前的一个版本...3.3.1 呵呵 地址在这里啦:http://www.eclipse.org/downloads/
我用的是这个咯...Eclipse Classic - Linux (137 MB) 主意啦,下载L版本的哦,别下X版本的....

恩,大约等了20分钟吧,下载到桌面上了,然后我就解压...得到 eclipse 文件夹...
我没有在根帐户下安装,毕竟对U系统用的不多,,,呵呵
于是我就把这个文件夹考到了 /home/dubuntu 下面,呵呵....

恩,现在是第二步

打开终端, 进入到eclipse文件夹下面 cd /home/dubuntu/eclipse

好,现在我们就可以设置使用权限啦,但是这一步不是必须的啦,可以跳过去哦..
命令是:chown -R root:你的用户名 eclipse (这一步我就没有做,因为对于我没有必要的啦,HOHO~~)

最后一步:创建桌面连接...做完就OK了哦...
终端里输入: sudo gedit /usr/share/applications/eclipse.desktop
然后写入下面的内容:
[Desktop Entry]
Encoding=UTF-8
Name=Eclipse
Comment=Eclipse SDK
Exec=/home/dubuntu/eclipse/eclipse
Icon=/home/dubuntu/eclipse/icon.xpm

Terminal=false
Type=Application
Categories=Application;Development;

这里要注意一下了哦,里面的两个路径一定要设置对哦....完成后保存,呵呵,看看 应用程序->编程 是不是出现ECLIPSE的图标啦,恩,好玩吧....嘿嘿

最后还要说明一下,我安装的时候因为已经把系统更新了,当前JDK版本是1.5(又叫5.0),所以不用再提前设置JDK了..
大家的机器如果不是这个版本以上的,要先安装1.5版本以上的啦....
:wink: :wink: :wink: :wink: :wink: :wink: :wink:
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#2

帖子 bones7456 » 2007-10-04 18:58

ubuntu下装eclispe可以直接apt-get哦~
关注我的blog: ε==3
头像
reulis
帖子: 156
注册时间: 2007-05-26 11:50
送出感谢: 0
接收感谢: 0

#3

帖子 reulis » 2007-10-04 19:18

bones7456 写了:ubuntu下装eclispe可以直接apt-get哦~

apt好像只能得到3.2版本的,3.3版本的还得自己装。至少我当时安装的时候是这样,不知道现在源里面已经更新了没有

其实java相关的东西安装都很简单,安装教程也很好,毕竟人家优势就在跨平台么,呵呵! :D
---------------------------------------------------------------------
我终身奋斗的最低革命纲领:农妇__山泉__有点儿田
回复

回到 “老旧版本支持”